Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.World.Preys
Class AbstractPredator

    java.lang.Object
      madkit.kernel.AbstractAgent
          SEdit.Formalisms.World.Preys.AbstractPredator

All Implemented Interfaces:
  java.io.Serializable, Brain

Direct Known Subclasses:
  CommunicatingPredator, DumbPredator

    public abstract class AbstractPredator

extends AbstractAgent
implements Brain

Titre : Preys Description : Copyright : Copyright (c) 2000 Soci�t� :

Version:
  1.0
Author:
  J. Ferber
See Also:
  Serialized Form

Field Summary
`PredatorBody` | `body`

Constructor Summary
`AbstractPredator()`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `delete()`
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`WorldEntity` | `getBody()`
`int` | `getCoeffPredator()`
`int` | `getCoeffPrey()`
`void` | `setBehaviorFileName(java.lang.String s)`
`void` | `setBody(WorldEntity e)`
`void` | `setCoeffPredator(int a)`
`void` | `setCoeffPrey(int a)`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface SEdit.Formalisms.World.Brain
`doIt`

Field Detail

### body

    public PredatorBody body

Constructor Detail

### AbstractPredator

    public AbstractPredator()

Method Detail

### setBody

    public void setBody(WorldEntity e)

  Specified by:
    `setBody` in interface `Brain`

### getBody

    public WorldEntity getBody()

  Specified by:
    `getBody` in interface `Brain`

### getCoeffPredator

    public int getCoeffPredator()

### getCoeffPrey

    public int getCoeffPrey()

### setCoeffPredator

    public void setCoeffPredator(int a)

### setCoeffPrey

    public void setCoeffPrey(int a)

### delete

    public void delete()

  Specified by:
    `delete` in interface `Brain`

### setBehaviorFileName

    public void setBehaviorFileName(java.lang.String s)

  Specified by:
    `setBehaviorFileName` in interface `Brain`

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Here is a typical example (taken from the `PingPong` agent of MadKit (plugin demos)) :

  >     public void activate()
  >     {
  >             try {
  >                     createGroup(true,"ping-pong",null,null);
  >                     println ("No ping-pong group : I created one");
  >                     creator=true;
  >             } catch (OrganizationRequestException e) { // the group already exists
  >                     creator=false;
  >                     println ("A ping-pong group already exists : I will join");
  >             }
  >             requestRole("ping-pong","player",null);
  >     }

  Overrides:
    `activate` in class `AbstractAgent`

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations. Although it is "nicer" to make the agent leave its groups, the handled groups and roles are automatically leaved after this last step

  Overrides:
    `end` in class `AbstractAgent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.